import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

/**
 * @author Prof. Henrique Louro
 */
public class Maratona {

    public static void main(String[] args) throws IOException {

        String linha;

        BufferedReader entrada;

        entrada = new BufferedReader(new InputStreamReader(System.in));

        long segundos;
        String temp[];

        while ((linha = entrada.readLine()) != null) {

            if (linha.equals("0")) {
                break;
            }

            int q = Integer.parseInt(linha);

            long atletas[][] = new long[q][2];

            for (int x = 0; x < q; x++) {
                linha = entrada.readLine();
                temp = linha.split(" ");
                segundos = 0;
                for (int y = 1; y < 11; y++) {
                    segundos += ConvSeg(temp[y]);
                }
                atletas[x][1] = Long.parseLong(temp[0]);
                atletas[x][0] = segundos;
            }

            boolean ordenou = true;
            long tempcod,temptempo;
            
            while (ordenou) {
                ordenou = false;
                for (int x = 0; x < q-1; x++) {
                    if(atletas[x][0]>atletas[x+1][0]){
                        tempcod = atletas[x+1][1];
                        temptempo = atletas[x+1][0];
                        atletas[x+1][1] = atletas[x][1];
                        atletas[x+1][0] = atletas[x][0];
                        atletas[x][1] = tempcod;
                        atletas[x][0] = temptempo;
                        ordenou = true;
                    }
                }
            }
            
            for (int x = 0; x < q; x++) {
//                System.out.println(atletas[x][1] + " - " + atletas[x][0]);
                System.out.println(atletas[x][1]);
            }
        }
        System.exit(0);
    }

    public static long ConvSeg(String tempo) {
        int horas = Integer.parseInt(tempo.substring(0, 2));
        int minutos = Integer.parseInt(tempo.substring(3, 5));
        int segundos = Integer.parseInt(tempo.substring(6));
        return horas * 3600 + minutos * 60 + segundos;
    }
}
